%define		php_name	php%{?php_suffix}
%define		modname	expect
%define		status		beta
Summary:	%{modname} - PHP extension for expect library
Summary(pl.UTF-8):	%{modname} - rozszerzenie PHP dla biblioteki expect
Name:		%{php_name}-pecl-%{modname}
Version:	0.3.1
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	834eeff610b86f7dae68dc788f75e35b
URL:		http://pecl.php.net/package/expect/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	expect-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-expect < 0.3.1-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows to interact with processes through PTY, using
expect library.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na interakcję z procesami poprzez PTY przy
użyciu biblioteki expect.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-expect.git;a=log;h=auto/th/php-pecl-expect-0.3.1-8

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 0b1f96f
- rel 8

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a590826
- tcl rebuild
- release 7 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 0f64753
- obsolete old php name
- release 6 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> d1b7ee6
- php 5.5 rebuild
- release 5 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 0aeb041
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f402d7f
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 293ce50
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 73225c5
- release 2 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> a492e80
- obsoleted

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> b26ac46
- updated to 0.3.1
- tcl patch is not required anymore

* Wed Nov 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3add1b1
- rel 3; expect.h uses tcl types, so linking with libtcl is needed

* Wed Nov 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb1faff
- release 2

* Sun Jul 03 2011 Adam Gołębiowski <adamg@pld-linux.org> 988a80d
- updated to 0.3.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 47797e2
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f25459
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> efc750e
- release 2

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 0a46c8c
- updated to 0.2.6

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> a218a26
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> dc80feb
- updated to 0.2.5

* Thu Aug 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 273db2c
- up to 0.2.4

